.stages {
    margin-bottom: rem(50);
    display: grid;
    grid-row-gap: rem(36);
    grid-column-gap: rem(10);
    grid-template-columns: 1fr 1fr;


    @include media-breakpoint-up(md) {
        margin-bottom: rem(70);
        grid-row-gap: rem(40);
        grid-column-gap: rem(10);
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        max-width: 1100px;
        position: relative;
        grid-row-gap: rem(58);
        grid-column-gap: rem(80);
        padding-bottom: rem(73);

        &:before {
            left: 0;
            bottom: 0;
            content: '';
            width: 1020px;
            position: absolute;
            border-bottom: 1px solid #dadadb;
        }
    }

    @include media-breakpoint-up(xxl) {
        padding-top: rem(26);
    }
}

.stage {
    text-align: center;
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(20);
    position: relative;

    &:before {
        top: 20px;
        right: -10px;
        z-index: 1;
        content: '';
        width: 19px;
        height: 34px;
        position: absolute;
        background: url("../img/step/step__arrow.png") 0 0 no-repeat;
    }

    &:nth-child(even) {

        &:before {
            display: none;
        }
    }

    &__icon {
        height: 72px;
        font-size: 0;
        line-height: 0;
        display: inline-block;
        margin-bottom: rem(10);
    }

    @include media-breakpoint-up(md) {

        &:nth-child(2),
        &:nth-child(6) {

            &:before {
               display: block;
            }
        }

    }

    @include media-breakpoint-up(xl) {
        text-align: left;

        &:before {
            right: 0;
            top: 26px;
        }

        &__icon {
            height: 85px;
        }
    }

    @include media-breakpoint-up(xxl) {
        text-align: left;
        font-size: rem(19);
        line-height: rem(26);

        &:before {
            right: 0;
        }
    }
}

.section-stages {
    position: relative;

    @include media-breakpoint-up(xl) {

        .container {
            z-index: 20;
            position: relative;
        }

        &:before {
            top: 0;
            right: calc(50% - 840px);
            opacity: 0;
            visibility: hidden;
            z-index: 1;
            content: '';
            width: 636px;
            height: 657px;
            position: absolute;
            background: url("../img/stage__image.webp") 0 0 no-repeat;
        }
    }

    @media (min-width: 1800px) {

        &:before {
            opacity: 1;
            visibility: visible;
        }
    }

    @media (min-width: 1980px) {

        &:before {
            right: 0;
        }
    }
}

.section-about {
    background: url("../img/section__about.webp") 50% 50% no-repeat;
}
